/**
*PlexMediaServer App
* Implementing PlexMediaServer App
*/
var PlexMediaServerApp = PlexMediaServerApp || {};  //Define PlexMediaServer App namespace.
/**
*Constructor UNAS App
*/
PlexMediaServerApp.App = function () {
    this.id = 'PlexMediaServer';
    this.name = 'PlexMediaServer';
    this.version = '6.0.4';
    this.active = false;
    this.menuIcon = '/apps/plexmediaserver/images/logo.png?v=6.0.4&';
    this.shortcutIcon = '/apps/plexmediaserver/images/logo.png?v=6.0.4&';
    this.entryUrl = '/apps/plexmediaserver/plex_main.html?v=6.0.4&';
    var self = this;
    this.PlexMediaServerAppWindow = function () {
    	if(UNAS.CheckAppState('PlexMediaServer')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'PlexMediaServerAppWindow',
            title: UNAS._('PlexMediaServer'),
            icon: '/apps/plexmediaserver/images/logo_small.png?v=6.0.4&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [650, 1200], 'y': [450, 900] },
            contentURL: '/apps/plexmediaserver/plex_main.html?v=6.0.4&',
            require: {  css: ['/apps/plexmediaserver/css/plexmediaserver.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("PlexMediaServer",'PlexMediaServerAppWindow')}
     	});
    };
    this.PlexMediaServerUninstall = function (){
    	UNAS.RemoveDesktopShortcut('PlexMediaServer');
    	UNAS.RemoveMenu('PlexMediaServer');
    	//UNAS.RemoveAppFromGroups('PlexMediaServer', 'Help');
    	UNAS.RemoveAppFromGroups('PlexMediaServer', 'ControlPanel');
    	UNAS.RemoveAppFromApps('PlexMediaServer');
    };
    // new UNAS.Menu('UNAS_App_Multimedia_Menu', this.name, this.menuIcon, 'PlexMediaServer', '', this.PlexMediaServerAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'PlexMediaServer', this.PlexMediaServerAppWindow);
    // new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Multimedia', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Multimedia', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('PlexMediaServer', UNAS._('Plex Media Server')); //translate menu
        UNAS.SetShortcutTitle('PlexMediaServer', UNAS._('Plex Media Server'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('PlexMediaServerAppWindow', UNAS._('Plex Media Server'));
        }
    };
    UNAS.LoadTranslation('/apps/plexmediaserver/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.PlexMediaServerAppWindow, this.PlexMediaServerUninstall);
};

new PlexMediaServerApp.App();
